Skip to main content
POST
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

connector_id
string
required

MCP server identifier (connector ID).

Body

application/json

MCPServerServiceUpdateRequest updates an existing MCP server's editable fields.

mcpServer
Mcp Server View · object | null

MCPServerView is the API representation of an MCP server (backed by a Connector).

updateMask
string | null

Response

200 - application/json

MCPServerServiceUpdateResponse returns the updated MCP server.

MCPServerServiceUpdateResponse returns the updated MCP server.

mcpServer
Mcp Server View · object | null

MCPServerView is the API representation of an MCP server (backed by a Connector).